﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.DocIO.DLS;
using Syncfusion.DocIO;
using System.Dynamic;

namespace GenerateWord_2010
{
    public partial class GenerateWord : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        /// <summary>
        /// Creates word document
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Button1_Click(object sender, EventArgs e)
        {
            // Open a existing document.
            WordDocument document = new WordDocument(Server.MapPath(@"data/Bookmark.docx"), FormatType.Docx);
			dynamic testGroupObj = new ExpandoObject();
			testGroupObj.testfield = "test";
			MailMergeDataTable testTable = new MailMergeDataTable("group1", new List<ExpandoObject>() { testGroupObj });
			document.MailMerge.ExecuteNestedGroup(testTable);


			int x = document.Bookmarks.Count;
            //Bookmark name = document.Bookmarks.FindByName("BookMark1");
            document.Bookmarks.Clear();
            //Document Contains only bookmark items,so we need create section after clear the bookmark.
            document.EnsureMinimal();
            if (rdButtonWord97To2003.Checked)
            {
                //Save as .doc Word 97-2003 format
                document.Save("Sample.doc", FormatType.Doc, Response, HttpContentDisposition.Attachment);
            }
            //Save as .docx Word2007 format
            else if (rdButtonWord2007.Checked)
            {
                document.Save("Sample.docx", FormatType.Word2007, Response, HttpContentDisposition.Attachment);

            }
            //Save as .docx Word2010 format
            else if (rdButtonWord2010.Checked)
            {
                document.Save("Sample.docx", FormatType.Word2010, Response, HttpContentDisposition.Attachment);

            }
            //Save as .docx Word2013 format
            else if (rdButtonWord2013.Checked)
            {
                document.Save("Sample.docx", FormatType.Word2013, Response, HttpContentDisposition.Attachment);

            }
        }
    }
}